Bug 49068 - Installer crashes as it tries to display timezone panel when boot parms entered
Installer crashes as it tries to display timezone panel when boot parms entered
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-13 08:36 EDT by Les Dunaway
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-26 14:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zip of two anaconda dump files (7.16 KB, application/octet-stream)
2001-07-13 08:46 EDT, Les Dunaway
no flags Details

  None (edit)
Description Les Dunaway 2001-07-13 08:36:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (Windows NT 5.0; U)

Description of problem:
I'm booting from the install cd with "linux hda=1247,255,63 hdc=1247,255,63". 
The install crashes (both graphic and text mode) just as anaconda tries to display the timezone panel
Dumps attached

How reproducible:
Always

Steps to Reproduce:
1.See description
2.
3.
	

Actual Results:  See description

Additional info:
Comment 1 Les Dunaway 2001-07-13 08:46:19 EDT
Created attachment 23507 [details]
zip of two anaconda dump files
Comment 2 Matt Wilson 2001-07-13 09:57:51 EDT
please boot your system with "linux ide=nodma" to see if this fixes the problem.
If it does, run:

 for I in /proc/ide/hd*; do echo $I; cat $I/model; done

on your installed system and attach the results.
Comment 3 Les Dunaway 2001-07-24 12:23:04 EDT
Booting the install with "linux ide=nodma"  or "linux ide=nodma hda=1247,255,63 hdc=1247,255,63" both result in a hang
during formating disks.

I did the install successfully - with no parms on the install boot, but putting hda=1247,255,63 hdc=1247,255,63 in kernel parms.
However, I immediately got Gnome problems (per the reported problems where your suggestion about ide=nodma).
I tried booting the installed  system with "linux ide=nodma hda=1247,255,63 hdc=1247,255,63" - Gnome won't complete startup
hangs just before creating the panel.
So, I'm running with "linux ide=nodma" - this is nervous making because of messages which indicate that /dev/hdc is seen
as different goemetry than /dev/hda; however, the ptbl check seems to return the right result??? (dmesg below)

Linux version 2.4.2-2 (root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-79)) #1 Sun Apr 8 19:37:14 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009fc00 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000400 @ 000000000009fc00 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000ffff0000 (reserved)
 BIOS-e820: 000000001fef0000 @ 0000000000100000 (usable)
 BIOS-e820: 000000000000f800 @ 000000001fff0800 (ACPI data)
 BIOS-e820: 0000000000000800 @ 000000001fff0000 (ACPI NVS)
On node 0 totalpages: 131056
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 126960 pages.
zone Normal has max 991 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
hm, page 01000000 reserved twice.
Kernel command line: auto BOOT_IMAGE=linux ro root=303 BOOT_FILE=/boot/vmlinuz-2.4.2-2 ide=nodma
ide_setup: ide=nodmaIDE: Prevented DMA
Initializing CPU#0
Detected 451.031 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 897.84 BogoMIPS
Memory: 512712k/524224k available (1363k kernel code, 11124k reserved, 92k data, 232k init, 0k highmem)
Dentry-cache hash table entries: 65536 (order: 7, 524288 bytes)
Buffer-cache hash table entries: 32768 (order: 5, 131072 bytes)
Page-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 008021bf 808029bf 00000000, vendor = 2
Enabling new style K6 write allocation for 511 Mb
CPU: L1 I Cache: 32K (32 bytes/line), D cache 32K (32 bytes/line)
CPU: After vendor init, caps: 008021bf 808029bf 00000000 00000002
CPU: After generic, caps: 008021bf 808029bf 00000000 00000002
CPU: Common caps: 008021bf 808029bf 00000000 00000002
CPU: AMD-K6(tm) 3D processor stepping 0c
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: AMD K6
PCI: PCI BIOS revision 2.10 entry at 0xfb4e0, last bus=2
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Disabled enhanced CPU to PCI posting #2
PCI: 00:07.3: class 604 doesn't match header type 00. Ignoring class.
PCI: Using IRQ router VIA [1106/0586] at 00:07.0
Activating ISA DMA hang workarounds.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 340429kB/209357kB, 1024 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c586b (rev 47) IDE UDMA33 controller on pci00:07.1
    ide0: BM-DMA at 0xb400-0xb407, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xb408-0xb40f, BIOS settings: hdc:DMA, hdd:DMA
hda: WDC WD102AA, ATA DISK drive
hdb: FX4010M, ATAPI CD/DVD-ROM drive
hdc: WDC WD102AA, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 20044080 sectors (10263 MB) w/2048KiB Cache, CHS=1247/255/63, UDMA(33)
hdc: 20044080 sectors (10263 MB) w/2048KiB Cache, CHS=19885/16/63, UDMA(33)
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 >
 hdc: [PTBL] [1247/255/63] hdc1 hdc2 hdc3
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 359k freed
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
PCI: Found IRQ 10 for device 00:0b.0
IRQ routing conflict in pirq table for device 00:07.2
IRQ routing conflict in pirq table for device 00:0b.0
(scsi0) <Adaptec AIC-7850 SCSI host adapter> found at PCI 0/11/0
(scsi0) Narrow Channel, SCSI ID=7, 3/255 SCBs
(scsi0) Cables present (Int-50 NO, Ext-50 YES)
(scsi0) Downloading sequencer code... 415 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
       <Adaptec AIC-7850 SCSI host adapter>
  Vendor: QUANTUM   Model: VIKING 4.5 NSE    Rev: 880R
  Type:   Direct-Access                      ANSI SCSI revision: 02
Vendor: YAMAHA    Model: CRW8424S          Rev: 1.0j
  Type:   CD-ROM                             ANSI SCSI revision: 02
  Vendor: iomega    Model: jaz 1GB           Rev: J^77
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 3, lun 0
Attached scsi removable disk sdb at scsi0, channel 0, id 5, lun 0
(scsi0:0:3:0) Synchronous at 10.0 Mbyte/sec, offset 15.
SCSI device sda: 8899737 512-byte hdwr sectors (4557 MB)
 sda: sda1
(scsi0:0:5:0) Synchronous at 10.0 Mbyte/sec, offset 15.
SCSI device sdb: 2091050 512-byte hdwr sectors (1071 MB)
sdb: Write Protect is off
 sdb: sdb1
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=3
Trying to unmount old root ... okay
Freeing unused kernel memory: 232k freed
Adding Swap: 1028152k swap-space (priority -1)
Adding Swap: 514072k swap-space (priority -2)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 19:51:15 Apr  8 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 10 for device 00:07.2
IRQ routing conflict in pirq table for device 00:07.2
IRQ routing conflict in pirq table for device 00:0b.0
usb-uhci.c: USB UHCI at I/O 0xb000, IRQ 9
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
Winbond chip at EFER=0x3f0 key=0x87 devid=fc devrev=21 oldid=8c
Winbond chip type 83877TF
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
0x378: FIFO is 16 bytes
0x378: writeIntrThreshold is 16
0x378: readIntrThreshold is 16
0x378: PWord is 8 bits
0x378: Interrupts are ISA-Pulses
0x378: ECP port cfgA=0x10 cfgB=0x4b
0x378: ECP settings irq=7 dma=3
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,COMPAT,EPP,ECP]
parport0: irq 7 detected
parport0: cpp_daisy: aa5500ff(98)
parport0: assign_addrs: aa5500ff(98)
parport0: Printer, EPSON Stylus COLOR 740
ip_conntrack (4095 buckets, 32760 max)
ne2k-pci.c:v1.02 10/19/2000 D. Becker/P. Gortmaker
  http://www.scyld.com/network/ne2k-pci.html
PCI: Found IRQ 5 for device 00:09.0
eth0: Winbond 89C940 found at 0xb800, IRQ 5, 00:20:78:16:FC:9E.
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 439M
agpgart: Detected Via MVP3 chipset
agpgart: AGP aperture is 64M @ 0xe0000000
[drm] AGP 0.99 on VIA MVP3 @ 0xe0000000 64MB
[drm] Initialized r128 2.1.2 20001215 on minor 63
es1371: version v0.27 time 19:49:34 Apr  8 2001
es1371: found chip, vendor id 0x1274 device id 0x1371 revision 0x06
PCI: Assigned IRQ 10 for device 00:0a.0
es1371: found es1371 rev 6 at io 0xbc00 irq 10
es1371: features: joystick 0x0
ac97_codec: AC97  codec, id: 0x5452:0x4123 (TriTech TR?????)
hdb: ATAPI 40X CD-ROM drive, 256kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 4, lun 0
(scsi0:0:4:0) Synchronous at 10.0 Mbyte/sec, offset 15.
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Comment 4 Brent Fox 2001-07-26 14:41:35 EDT
So, can you try msw's suggestion above and attach the results?  I'm curious to
see what the kernel thinks your disk geometry is.  

It sounds like your system is up and running now.  Are you seeing any more problems?
Comment 5 Brent Fox 2001-08-10 10:51:00 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.